Bug 236436 - FC5 fails to boot after install on a dual boot computer with grub error 17
FC5 fails to boot after install on a dual boot computer with grub error 17
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Peter Jones
: 236435 236437 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-04-13 18:02 EDT by Leland C. Scott
Modified: 2008-05-06 15:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:30:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leland C. Scott 2007-04-13 18:02:48 EDT
Fedora Core 5 and 6 fails to boot after apparently a successful installation 
on a dual boot Linux and Windows XP Pro computer. The system is a FX55 CPU, 
2GB memory, on a MSI NForce4 S939 mother board with two attached Seagate SATA 
160GB drives. 

The system seems to install OK on the second SATA hard disk and the installer 
looks like it wrote the required grub files to the MBR of the boot hard disk. 
I had the installer remove ALL partitions on the installation drive just to be 
sure.  I’m sure which disk is which by looking at the detailed partition 
scheme. The first disk is an NTFS drive for Windows and the second disk is 
used for Linux. I had the installer write the grub files to the MBR of the 
boot disk, the one with Window loaded on it. 

When the system reboots I get a grub error 17. This happens with both FC5 and 
FC6. I had FC3 on the system before and it worked just fine.  I gave up on FC5 
and tried OpenSuse 10.2. That distro installed and boots just fine with zero 
changes in any bios setting between the two trials of FC and OpenSuse. 
OpenSuse handles the hardware issues better, or more like grub does. I don’t 
know which version of grub is used by OpenSuse but it is the default version 
used in the initial 10.2 version distro.

Steps to reproduce: 
1. Install FC5 to second SATA harddisk with grub files written to MBR of first 
disk with Windows XP Pro loaded on it.
2. Reboot computer.
3. system hangs after gub tries to load and display boot menu with an error 
code of 17.
Actual results:

System hangs eveytime after trying to boot up.

Expected results:

System boots to boot menu to allow selection of which OS to load.

Additional info:

Motherboard model is a 
K8N Neo4 Platinum/SLI
MS-7100 (V1.X) ATX Mainboard

Supports Socket-939 for AMD K8 Athlon 64 FX / Athlon 64 (Socket939) processor
Supports up to 4000+ Athlon FX55 , or higher CPU
(For the latest information about CPU, please visit 

  nVIDIA nForce4 SLI
- HyperTransport link to the AMD Athlon 64/Athlon 64 FX CPU
- HyperTransport supporting speed up to 1GHz (2000MT/s)
- Supports 2 PCI Express x16/ x1 interface
- Two independent SATA controllers, for four drives
- Dual Fast ATA-133 IDE controllers
- IEEE802.3 nVIDIA MAC for 1000BASE-T

Main Memory
 Supports dual channel, eight memory banks DDR 266/333/400, using four 184-
 Supports a maximum memory size up to 4GB
 Supports 2.5v DDR SDRAM DIMM
(For the updated supporting memory modules, please visit http://www.msi.com.tw/

 Two PCI Express x16 slots (supports PCI Express Bus specification v1.0a
 2nd PCI Express x16 slot (PCI_E3) is compatible with PCI Express x 1
 Three 32-bit Master PCI Bus slots, includes one orange slot which is reserved
as a communication slot.
 Support 3.3V/5V PCI bus Interface

On-Board IDE
 An IDE controller on the nVIDIA® nForce4 SLI chipset provides IDE HDD/CD-ROM
with PIO, Bus Master and Ultra DMA 66/100/133 operation modes
 Can connect up to 4 IDE devices

On-Board SATA
 NV RAID supports 4 SATA II ports (SATA1-4). Transfer rate is up to 300 MB/s.
Supports RAID 0, 0+1 and JBOD mode.
 Silicon Image’s SATARAID supports another 2 SATA II ports (SATA5/6). Transfer
rate is up to 300 MB/s. Supports RAID 0 & 1 mode (only for K8N Neo4 Platinmu/

USB Interface
 10 USB ports
- Controlled by nForce4 SLI chipset
- 4 ports in the rear I/O, 6 ports via the external bracket

NV RAID (Software)
 Supports up to 4 SATA and 2 ATA133 Hard drives
- RAID 0 or 1, 0+1, JBOD is supported
- RAID function available for ATA133+SATA H/D or 4 SATA H/D drives

Silicon Image’s SATARAID (Software) (Optional)
 RAID 0 or 1 and multiple RAID groups are supported
 Support up to 2 SATA devices connected to a single controller

 Supports dual LAN jacks
- 1st LAN supports 10/100/1000 Fast Ethernet by nForce4 SLI
- 2nd PCI Express LAN supports 10/100/1000 Fast Ethernet by Marvell
88E8053 (only for K8N Neo4 Platinum/SLI).

IEEE 1394 (Optional)
 Supports up to three 1394 ports (rear panel x 1, pinheader x 2). Transfer rate
is up to 400Mbps

 Power by Creative Sound Bluster 24 bits H/W audio
- 24-bit / 96~192 KHz audio quality
- Up to 100 db SNR clarity
- 7.1 Channel output supported, Dolby Digital encoder
- Supports S/PDIF digital interface
- PCI 2.3 Specification compliant

On-Board Peripherals
 On-Board Peripherals include:
- 1 floppy port supports 1 FDD with 360K, 720K, 1.2M, 1.44M and 2.88Mbytes
- 1 serial port (COM1)
- 1 parallel port supporting SPP/EPP/ECP mode
- 1 Audio jack(5-in-1), coaxial/fiber SPDIF out
- 1 D-Bracket 2 pinheader
- 1 CD-In pinheader
- 3 IEEE 1394 (Rear * 1 / Front * 2) (optional)
- 10 USB1.1/2.0 ports (Rear * 4 / Front * 6)
- 1 IrDA pinheader
Comment 1 Mark McLoughlin 2007-07-04 12:12:03 EDT
*** Bug 236437 has been marked as a duplicate of this bug. ***
Comment 2 Mark McLoughlin 2007-07-04 12:12:16 EDT
*** Bug 236435 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-04-04 02:51:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:30:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.